# coding: utf-8

lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'jekyll_asciidoctor_pdf/version'

Gem::Specification.new do |spec|
  spec.name          = 'jekyll_asciidoctor_pdf'
  spec.version       = JekyllAsciidoctorPdf::VERSION
  spec.authors       = ['Guido Genzone']
  spec.email         = ['guido.genzone@netapp.com']

  spec.summary       = 'Rake tasks to convert *.adoc files from Jekyll to PDF using asciidoctor-pdf'
  spec.description   = 'Rake tasks to convert *.adoc files from Jekyll to PDF using asciidoctor-pdf'
  spec.homepage      = 'https://rubygems.org/gems/jekyll_asciidoctor_pdf'
  spec.license       = 'MIT'

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  #if spec.respond_to?(:metadata)
  #  spec.metadata['allowed_push_host'] = "TODO: Set to 'http://mygemserver.com'"
  #else
  #  raise 'RubyGems 2.0 or newer is required to protect against ' \
  #    'public gem pushes.'
  #end

  spec.files = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.required_ruby_version = '>= 2.0'

  spec.add_development_dependency 'bundler', '~> 2.1.4'
  spec.add_development_dependency 'minitest', '~> 5.0'
  spec.add_development_dependency 'rubocop', '~> 0.52'

  #spec.add_runtime_dependency 'rake', '>= 12.3.3'
   
  #We shoudn't use this version for a security issue
  spec.add_runtime_dependency 'rake', '>= 10.0'
  spec.add_runtime_dependency 'fileutils', '>= 1.1'
  spec.add_runtime_dependency 'safe_yaml', '>= 1.0.5'
  spec.add_runtime_dependency 'json', '>= 2.1.0'
  spec.add_runtime_dependency 'rest-client', '>= 2.0.0'
  spec.add_runtime_dependency 'prawn', '>= 2.2.2'
  spec.add_runtime_dependency 'asciidoctor-pdf', '>= 1.5.1'

end
