#!/usr/bin/sh

ROOT=$PWD
TEST_DIR=temp
BASE_URL='https://github.com/NetAppDocs'
TEST_REPOSITORY_DIR=${TEST_DIR}/${REPOSITORY}
TEST_REPOSITORY_URL=${BASE_URL}/${REPO_NAME}

TARGET_OUTPUT=${TEST_REPOSITORY_DIR}/pdfs



set -x
export FEATURE_FLAG=1

rm -Rf ${TEST_REPOSITORY_DIR}
rm -Rf output_pdf
mkdir -p ${TEST_REPOSITORY_DIR}
mkdir -p output_pdf

cd ${TEST_REPOSITORY_DIR}

git clone ${TEST_REPOSITORY_URL} .
git submodule add https://github.com/NetAppDocs/jekyll dependencies/jekyll
rm -rf dependencies/jekyll/*.md
cp -rl dependencies/jekyll/* ./
mv sidebar.yml _data/sidebars/


sed -i -e "\$afeatureFlag\:\ true" ./_config.yml;

cat <<EOF > ./Rakefile

if ENV["FEATURE_FLAG"]
    require 'jekyll_asciidoctor_pdf'

    JekyllAsciidoctorPdf::BuildTask.new('buildAll') do |t|
        t.jekyll_config_file = '_config.yml'
        t.product_name = ENV['PRODUCT_NAME'].gsub(/\\\\/,'').gsub(/&nbsp;/," ")
        t.repo_name = ENV['REPO_NAME']
        t.git_token = ENV['GH_API_TOKEN']
    end
end
EOF

#sed -i "s/jekyll_asciidoctor_pdf.*/jekyll_asciidoctor_pdf\'/" Gemfile
sed -i "s/jekyll_asciidoctor_pdf.*/jekyll_asciidoctor_pdf\'\n\ \ gem\ \'prawn-gmagick\'/" Gemfile

bundle install
bundle exec rake buildAll

cp -Rf pdfs/* ${ROOT}/output_pdf/

cd ${ROOT}
REMOTE_ORIGIN=`git config --get remote.origin.url`

cd output_pdf
git init
git add .
git commit -m "First commit"
git remote add origin ${REMOTE_ORIGIN}
git push origin master:refs/heads/output_pdf --force
